#!/bin/sh

set -e
tcdir=`mktemp -d`

@maxlink-load_EXE@ --tokyo-cabinet-dir=$tcdir --protein-network-file-format=xml --protein-network-filename=$1/../../data/edges1.xml > $2/maxlink-load-stdout 2> $2/maxlink-load-stderr
@maxlink-query1_EXE@  --tokyo-cabinet-dir=$tcdir --gene-list-filename=$1/../../data/genes1.xml --gene-list-file-format=xml --fbs-cutoff=8.0  > $2/maxlink-query1-stdout 2> $2/maxlink-query1-stderr

if diff -q $1/result $2/maxlink-query1-stdout
then
  exit 0
fi

exit 1
