#ifndef INBETWEENESS_H_
#define INBETWEENESS_H_
#include <stdint.h>

#include "maxlink_types.h"

class EdgeDatabase;
class GeneShortestPathCountDatabase;
class GenePairShortestPathDatabase;
class ShortestPathDatabase;
class Num2StringGeneDatabase;

void storeShortestPaths(bool debug, Num2StringGeneDatabase *num2string_gene_database, const EdgeDatabase &edge_database, GeneShortestPathCountDatabase *gene_shortest_path_count_database, GenePairShortestPathDatabase *endgene_shortest_path_database, ShortestPathDatabase *shortest_path_database,  maxlink_types::GeneId loaded_gene_count, maxlink_types::Fbs fbs_cutoff);

#endif
