package "maxlink-query2"
version "@PACKAGE_VERSION@"
purpose "This is version two of maxlink that considers shortest paths.
Maxlink is a software that implements the cancer gene network searching algorithm that was first described in the article: Network-based Identification of Novel Cancer Genes."

option "gene-list-filename" n "gene list xml input file" string typestr="filename" 
option "gene-list-file-format" N "file format of gene list"  values="xml","text" default="text" enum optional
option "verbose" v "extra verbose" flag off
option "debug" D "debug information is printed to stderr" flag off
option "tokyo-cabinet-dir" d "tokyo cabinet directory that was created with maxlink-load. If this option is not given the directory path needs to be specified with the environment variable MAXLINK_TOKYO_CABINET_DIR" string typestr="dirname" optional
option "output-format" f "print result in this format"  values="fullResultTsv","geneId","xml" default="geneId" enum optional
option "probability-cutoff" p "hypergeometric probability cutoff" double default="0.1" optional
